%define	upstream_name	 Net-Pcap
%define upstream_version 0.18

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Interface to pcap(3) LBL packet capture library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:         0001-actually-not-bugfixes-but-merely-doc-fixes.patch
Patch2:         0002-Allow-error-message-to-be-a-suffix.patch
Patch3:         fix-build.patch

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Socket)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::More) >= 0.450.0
BuildRequires: perl(XSLoader)
BuildRequires: libpcap-devel
BuildRequires: perl-devel

%description
Net::Pcap is a Perl binding to the LBL pcap(3) library.
The README for libpcap describes itself as:

"a system-independent interface for user-level packet capture.
libpcap provides a portable framework for low-level network
monitoring.  Applications include network statistics collection,
security monitoring, network debugging, etc."

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

find %{buildroot} -name "perllocal.pod" -delete

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{perl_vendorarch}/Net
%{perl_vendorarch}/auto/Net
%{_mandir}/man3/*
%{_mandir}/man1/*
%{_bindir}/*


%changelog
* Thu Jun 18 2020 umeabot <umeabot> 0.180.0-8.mga8
+ Revision: 1595658
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.180.0-7.mga8
+ Revision: 1530010
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.180.0-6.mga8
+ Revision: 1433857
- rebuild for perl 5.30

* Fri Sep 21 2018 tv <tv> 0.180.0-5.mga7
+ Revision: 1294228
- reenable t/09-error.t now that it's fixed

* Fri Sep 21 2018 tv <tv> 0.180.0-4.mga7
+ Revision: 1294159
- add 2 patches from git in order to fix t/09-error.t
- patch 3: fix build with libpcap-1.9.0
- remove unsupported --defaultdeps option
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.180.0-3.mga7
+ Revision: 1250101
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.180.0-2.mga7
+ Revision: 1165905
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 0.180.0-1.mga7
+ Revision: 1157177
- new version 0.18

* Thu Aug 31 2017 pterjan <pterjan> 0.170.0-16.mga7
+ Revision: 1149094
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.170.0-15.mga7
+ Revision: 1126950
- Rebuild against new Perl 5.26

* Sat Aug 20 2016 daviddavid <daviddavid> 0.170.0-14.mga6
+ Revision: 1047148
- disable test failure (t/09-error.t) since new libpcap 1.8.0

* Sun Jun 19 2016 pterjan <pterjan> 0.170.0-13.mga6
+ Revision: 1031262
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.170.0-12.mga6
+ Revision: 957819
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.170.0-11.mga6
+ Revision: 845056
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.170.0-10.mga6
+ Revision: 842573
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.170.0-9.mga5
+ Revision: 747474
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 0.170.0-8.mga5
+ Revision: 731306
+ rebuild (emptylog)

* Sun Sep 28 2014 tv <tv> 0.170.0-7.mga5
+ Revision: 731304
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 0.170.0-6.mga5
+ Revision: 685703
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.170.0-5.mga5
+ Revision: 631524
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.170.0-4.mga4
+ Revision: 524937
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.170.0-3.mga4
+ Revision: 431676
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-2.mga3
+ Revision: 370798
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.170.0-1.mga3
+ Revision: 342441
- update to 0.17

* Wed May 30 2012 jquelin <jquelin> 0.160.0-3.mga3
+ Revision: 250996
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.160.0-2.mga2
+ Revision: 104855
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 30947
- mageia rebuild
- imported package perl-Net-Pcap


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.160.0-1mdv2010.0
+ Revision: 407822
- rebuild using %%perl_convert_version

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 0.16-5mdv2009.1
+ Revision: 298348
- rebuilt against libpcap-1.0.0

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.16-3mdv2009.0
+ Revision: 246162
- rebuild

* Tue Jan 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdv2008.1
+ Revision: 152905
- update to new version 0.16
- update to new version 0.16

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.15-2mdv2008.1
+ Revision: 151343
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - wrap description

* Tue Dec 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdv2008.1
+ Revision: 115266
- fix build dependencies
- new version

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 0.14-1mdv2008.0
+ Revision: 20671
- 0.14


* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.12-3mdk
- Fix SPEC according to Perl Policy
	- Source URL

* Mon Mar 20 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.12-2mdk
- BuildRequires

* Mon Mar 20 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.12-1mdk
- 0.12

* Mon Jan 16 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.11-1mdk
- 0.11

* Wed Nov 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.10-1mdk
- 0.10
- Add regression tests (now can be run as non-root)

* Fri Oct 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.08-1mdk
- 0.08

* Fri Sep 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.07-1mdk
- New version
- Put meaningful description

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.05-3mdk
- rebuilt against new libpcap-0.9.1 (aka. a "play safe" rebuild)

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 0.05-2mdk
- Rebuild for new perl

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.05-1mdk
- 0.05
- drop explicit library depdency
- fix buildrequires (lib64..)
- cosmetics

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.04-7mdk
- Use %%makeinstall_std now that it works on klama
- Remove PREFIX from Makefile.PL

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.04-6mdk
- use %%make and %%makeinstall

* Fri Aug 01 2003 Ben Reser <ben@reser.org> 0.04-5mdk
- Fix man page path
- Macroify and use the perl specific macros
- Cleanout some commented out stuff

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.04-4mdk
- rebuild for new auto{prov,req}

